
Redmine - Defect #14075

bitnami redmine 2.3.0 problem with RedmineApp for Iphone

2013-05-17 06:29 - Nurmukhamed Artykaly

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Calendar Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

Hello.

i have 2 redmine servers

first, old, is

Redmine 1.2.1.stable

we call it 'sugar'

second, new is

Environment:

Redmine version                          2.3.0.stable

Ruby version                             1.9.3 (x86_64-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

no plugin installed

we call second redmine 'crm'. test redmine.

our boss uses iphone app - RedmineApp for Iphone.

in sugar boss works well, but cant see any attachments.

in crm boss cant add,edit issue because problem

Due Date (Начата) is not valid date.

here log

Started PUT

"/redmine/issues/84.json?key=ad84ddea7f06c7422c5dbd0dcfaa0ae60e18caa3&include=attachments%2Cchildren%2Crelations" for

46.227.184.122 at 2013-05-16 11:42:40 +0600

Processing by IssuesController#update as JSON

Parameters: {"issue"=>{"start_date"=>"2013/05/16", "due_date"=>"2013/05/17", "assigned_to_id"=>"10", "notes"=>"Необходимо

полностью данные", "estimated_hours"=>"4"}, "key"=>"ad84ddea7f06c7422c5dbd0dcfaa0ae60e18caa3",

"include"=>"attachments,children,relations", "id"=>"84"}

WARNING: Can't verify CSRF token authenticity

Current user: saken.matov (id=24)

Rendered common/error_messages.api.rsb (0.6ms)

Completed 422 Unprocessable Entity in 181ms (Views: 1.9ms | ActiveRecord: 7.0ms)

but if we use safari on iphone it works correct.

Processing by IssuesController#update_form as JS

Parameters: {"utf8"=>"✓", "authenticity_token"=>"xSnVZdQeKwbL6LUzDP6XQbzXgD4Jv8d6LTGbh0qMsw8=",

"issue"=>{"is_private"=>"0", "tracker_id"=>"2", "subject"=>"Тоо Brisk Deal- по адресу Сауранбаева 4.", "description"=>"не

работает интернет.\r\nЗвонил Артем: 8 707 249 50 25\r\nЗаявка в ДКП, номер: 271624", "status_id"=>"1", "priority_id"=>"2",

"assigned_to_id"=>"", "parent_issue_id"=>"", "start_date"=>"2013-05-17", "due_date"=>"", "estimated_hours"=>"",

"done_ratio"=>"0"},

main problem is "start_date"=>"2013/05/16", "due_date"=>"2013/05/17"  - date format is wrong. in safari "start_date"=>"2013-05-17"

is correct.

if i can change redmine to understand that "2013/05/17" is same to "2013-05-17".
History

#1 - 2013-05-17 06:48 - Toshi MARUYAMA

- Subject changed from bitnami redmine 2.3.0 problem with RedminApp for Iphone to bitnami redmine 2.3.0 problem with RedmineApp for Iphone

#2 - 2013-05-17 06:50 - Toshi MARUYAMA

- Description updated

#3 - 2013-05-17 06:53 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

It seems RedmineApp problem.

Please contact RedmineApp support.

This is the issue tracker for Redmine core.
